<?php

use \Model\Admin;
use \Model\User;
use \Model\Timeline;

class Controller_Application extends Controller
{

    public function before()
    {
        parent::before();

        View::set_global('base', Uri::base());
        View::set_global('title', 'SOCIAL BUSINESS CONTACT');

        $adminSettings = Admin::settings();
        View::set_global('settings', $adminSettings);
        View::set_global('contacts', Admin::contacts());

        Config::set('language', $adminSettings['app_language']);
        Lang::load('global');
    }

	public function action_index()
	{
		return View::forge('login/index');
	}

    public function action_page()
    {
        View::set_global('page', 'about-us');

        if (!Uri::segment(2))
        {
            View::set_global('page', Uri::segment(1));
        }

        $user   = User::user_by_name(Uri::segment(2));

        if($user)
        {
            $userID = $user->user_id;
        }
        else
        {
            Response::redirect('login/logout');
        }

        View::set_global('content', 'user/page/index');
        View::set_global('left', false);

        View::set_global('business', User::user_business($userID));
        View::set_global('userSocials', User::user_socials($userID));
        View::set_global('pageSettings', User::user_settings($userID, true));
        View::set_global('sliderLogo', User::user_slider_logo($userID));
        View::set_global('likes', User::likes($userID));
        View::set_global('timeline', Timeline::timeline($userID));
        View::set_global('portfolio', User::user_portfolio($userID));
        View::set_global('partners', User::user_partners($userID));
        View::set_global('userSettings', false);
        View::set_global('userNow', false);
        View::set_global('admin', false);
        View::set_global('user', false);

		return View::forge('index');
    }

    public function action_404()
    {
        View::set_global('title', 'ERROR 404');
        return View::forge('login/page-404')->render();
    }

}