<?php

namespace Model;
use \DB;

class Company extends \Model
{

    public static function companies($userID)
    {
        $query = DB::select('*')
                 ->from('companies')
                 ->where('user_id', '=', $userID)
                 ->execute();

        return $query->as_array();
    }

    public static function company($companyID, $userID)
    {
        $query = DB::select('*')
                 ->from('companies')
                 ->join('subcategories')
                 ->on('subcategories.subcategory_id', '=', 'companies.subcategory_id')
                 ->join('categories')
                 ->on('categories.category_id', '=', 'subcategories.category_id')
                 ->where('company_id', '=', $companyID)
                 ->where('user_id', '=', $userID)
                 ->execute()
                 ->current();

        return $query;
    }

        /* === C.R.U.D. === */

        public static function create_company($values, $userID )
        {
            DB::insert('companies')
                ->set(array(
                        'company_id'            => null,
                        'user_id'               => $userID,
                        'subcategory_id'        => $values['category'],
                        'company_name'          => $values['name'],
                        'company_country'       => $values['country'],
                        'company_state'         => $values['state'],
                        'company_city'          => $values['city'],
                        'company_zip_code'      => $values['zip'],
                        'company_address'       => $values['address'],
                        'company_phone'         => $values['phone'],
                        'company_email'         => $values['email'],
                        'company_website'       => $values['website'],
                        'company_description'   => $values['description']
                    ))
                ->execute();
        }

        public static function update_company($values, $companyID, $userID)
        {
            DB::update('companies')
                ->set(array(
                        'subcategory_id'        => $values['category'],
                        'company_name'          => $values['name'],
                        'company_country'       => $values['country'],
                        'company_state'         => $values['state'],
                        'company_city'          => $values['city'],
                        'company_zip_code'      => $values['zip'],
                        'company_address'       => $values['address'],
                        'company_phone'         => $values['phone'],
                        'company_email'         => $values['email'],
                        'company_website'       => $values['website'],
                        'company_description'   => $values['description']
                    ))
                ->where('company_id', '=', $companyID)
                ->where('user_id', '=', $userID)
                ->execute();
        }

        public static function delete_company($companyID, $userID)
        {
            DB::delete('companies')
                ->where('company_id', '=', $companyID)
                ->where('user_id', '=', $userID)
                ->execute();
        }
        /* === END C.R.U.D. === */

}