<?php

namespace Model;
use \DB;

class Message extends \Model
{

    public static function messages($userID, $action)
    {
        if ($action)
        {
            $query = DB::select('messages.*', 'users_details.company_name', 'users_details.company_url')
                     ->from('messages')
                     ->join('users_details')
                     ->on('users_details.user_id', '=', 'messages.message_from')
                     ->where('messages.user_id', '=', $userID)
                     ->execute();
        } else {
            $query = DB::select('messages.*', 'users_details.company_name', 'users_details.company_url')
                     ->from('messages')
                     ->join('users_details')
                     ->on('users_details.user_id', '=', 'messages.user_id')
                     ->where('messages.message_from', '=', $userID)
                     ->execute();
        }

        return $query->as_array();
    }

    public static function message($messageID, $userID)
    {
        $query = DB::select('messages.*', 'companies.company_id', 'users_details.company_name', 'users_details.company_url')
                 ->from('messages')
                 ->join('users_details')
                 ->on('users_details.user_id', '=', 'messages.message_from')
                 ->join('companies', 'LEFT')
                 ->on('companies.user_id', '=', 'users_details.user_id')
                 ->where('messages.message_id', '=', $messageID)
                 ->where('messages.user_id', '=', $userID)
                 ->execute()
                 ->current();

        if ($query)
        {
            return $query;
        }
        else
        {
            $query = DB::select('messages.*', 'companies.company_id', 'users_details.company_name', 'users_details.company_url')
                     ->from('messages')
                     ->join('users_details')
                     ->on('users_details.user_id', '=', 'messages.message_from')
                     ->join('companies', 'LEFT')
                     ->on('companies.user_id', '=', 'users_details.user_id')
                     ->where('messages.message_id', '=', $messageID)
                     ->where('messages.message_from', '=', $userID)
                     ->execute()
                     ->current();

            return $query;
        }
    }

    /* === C.R.U.D === */

        public static function create_message($values, $userID, $fromID)
        {
            DB::insert('messages')
                ->set(array(
                        'message_id'        => null,
                        'user_id'           => $userID,
                        'message_from'      => $fromID,
                        'message_subject'   => $values['subject'],
                        'message_text'      => $values['text'],
                        'message_date'      => date('Y-m-d H:i:s'),
                        'message_status'    => 0
                    ))
                ->execute();
        }

        public static function read_message($messageID, $userID)
        {
            DB::update('messages')
                ->set(array(
                    'message_status'     => 1
                ))
                ->where('message_id', '=', $messageID)
                ->where('user_id', '=', $userID)
                ->execute();
        }

        public static function delete_message($messageID, $userID)
        {
            DB::delete('messages')
                ->where('message_id', '=', $messageID)
                ->where('user_id', '=', $userID)
                ->execute();
        }
    /* === C.R.U.D === */

}