<?php

namespace Model;
use \DB;

class Newsletter extends \Model
{

    public static function newsletters($userID)
    {
        $query = DB::select('*')
                 ->from('newsletters')
                 ->where('user_id', '=', $userID)
                 ->execute();

        return $query->as_array();
    }

    public static function newsletter($newsletterID, $userID)
    {
        $query = DB::select('*')
                 ->from('newsletters')
                 ->where('user_id', '=', $userID)
                 ->where('newsletter_id', '=', $newsletterID)
                 ->execute()
                 ->current();

        return $query;
    }

    public static function emails($to, $userID)
    {
        switch($to)
        {
            case 'all':
                $query = DB::query("SELECT partner_id as partner
                            FROM `partners`
                            WHERE user_id = " . $userID . "
                            AND  status = 1
                            UNION
                            SELECT user_id as partner FROM `partners`
                            WHERE partner_id = " . $userID . " AND status = 1 ");
                $partners = $query->execute()->as_array();

                $partnersEmail = array();
                if ($partners)
                {
                    $result = DB::select('email')
                               ->from('users')
                               ->where('id', 'in', $partners)
                               ->execute();

                    $partnersEmail = $result->as_array(null, 'email');
                }

                $query = DB::select(DB::expr('subscriber_email as email'))
                         ->from('subscribers')
                         ->where('user_id', '=', $userID)
                         ->execute();

                $subscribersEmail   = $query->as_array(null, 'email');
                $emails             = array_merge($partnersEmail, $subscribersEmail);
            break;
            case 'partners':
                $query = DB::query("SELECT partner_id as partner
                            FROM `partners`
                            WHERE user_id = " . $userID . "
                            AND  status = 1
                            UNION
                            SELECT user_id as partner FROM `partners`
                            WHERE partner_id = " . $userID . " AND status = 1 ");
                $partners = $query->execute()->as_array();

                $emails = array();
                if ($partners)
                {
                    $result = DB::select('email')
                               ->from('users')
                               ->where('id', 'in', $partners)
                               ->execute();

                    $emails = $result->as_array(null, 'email');
                }
            break;
            case 'subscribers':
                $query = DB::select('subscriber_email')
                         ->from('subscribers')
                         ->where('user_id', '=', $userID)
                         ->execute();

                $emails = $query->as_array(null, 'subscriber_email');
            break;
        }

        return $emails ? $emails : false;
    }

        /* === C.R.U.D === */

        public static function create_newsletter($values, $userID)
        {
            DB::insert('newsletters')
                ->set(array(
                        'newsletter_id'         => null,
                        'user_id'               => $userID,
                        'newsletter_subject'    => $values['subject'],
                        'newsletter_message'    => $values['message'],
                        'newsletter_to'         => $values['send'],
                        'newsletter_date'       => date('Y-m-d'),
                    ))
                ->execute();
        }

        public static function delete_newsletter($newsletterID, $userID)
        {
            DB::delete('newsletters')
                ->where('user_id', '=', $userID)
                ->where('newsletter_id', '=', $newsletterID)
                ->execute();
        }
        /* === END C.R.U.D === */


    /* === SUBSCRIBERS === */

    public static function subscribers($userID)
    {
        $query = DB::select('*')
                 ->from('subscribers')
                 ->where('user_id', '=', $userID)
                 ->execute();

        return $query->as_array();
    }

    public static function exists_subscriber($email, $userID)
    {
        $query = DB::select(DB::expr('COUNT(subscriber_id) as num'))
                 ->from('subscribers')
                 ->where('user_id', '=', $userID)
                 ->where('subscriber_email', '=', $email)
                 ->execute();

        $nr = $query->as_array(null, 'num');

        return $nr[0] == 1 ? true : false;
    }

        /* === C.R.U.D === */

        public static function create_subscriber($email, $userID)
        {
            DB::insert('subscribers')
                ->set(array(
                        'subscriber_id'     => null,
                        'user_id'           => $userID,
                        'subscriber_email'  => $email,
                        'subscriber_date'   => date('Y-m-d')
                    ))
                ->execute();
        }

        public static function delete_subscriber($subscriberID, $userID)
        {
            DB::delete('subscribers')
                ->where('user_id', '=', $userID)
                ->where('subscriber_id', '=', $subscriberID)
                ->execute();
        }

        /* === END C.R.U.D === */

}