<?php
return array(
	'_root_'  => 'application',         // The default route
	'_404_'   => 'application/404',     // The main 404 route

    /* === LOGIN === */
        'login'                             => 'login/login',
        'registration'                      => 'login/registration',
        'lost-password'                     => 'login/lost',
        'new-password'                      => 'login/new_password',
        'lostpassword/:hash'                => 'login/lostpassword',
        'logout'                            => 'login/logout',
    /* === END LOGIN === */


    /* === EXTERNAL PAGE === */
        'page/:segment'                     => 'application/page',
    /* === END EXTERNAL PAGE === */


    /* === ADMMIN === */
        'admin'                             => 'admin',
        'admin/all-users'                   => 'admin/all_users',
        'admin/all-categories'              => 'admin/all_categories',
        'admin/delete-user/:num'            => 'admin/delete_user',
        'admin/add-category'                => 'admin/add_category',
        'admin/edit-category'               => 'admin/edit_category',
        'admin/delete-category/:num'        => 'admin/delete_category',
        'admin/all-subcategories'           => 'admin/all_subcategories',
        'admin/add-subcategory'             => 'admin/add_subcategory',
        'admin/edit-subcategory'            => 'admin/edit_subcategory',
        'admin/delete-subcategory/:num'     => 'admin/delete_subcategory',
        'admin/change-account'              => 'admin/change_account',
        'admin/edit-account'                => 'admin/edit_account',
        'admin/edit-password'               => 'admin/edit_password',
        'admin/settings'                    => 'admin/settings',
        'admin/edit-app'                    => 'admin/edit_app',
        'admin/edit-app-name'               => 'admin/edit_app_name',
        'admin/languages'                   => 'admin/languages',
        'admin/show-language/:num'          => 'admin/show_language',
        'admin/add-language'                => 'admin/add_language',
        'admin/edit-language'               => 'admin/edit_language',
        'admin/delete-language/:num'        => 'admin/delete_language',
        'admin/default-language'            => 'admin/default_language',
        'admin/edit-app-power'              => 'admin/power',
    /* === END ADMIN === */


    /* === MESSAGES === */
        'new-message'                       => 'message/new_message',
        'send-message'                      => 'message/send_message',
        'inbox'                             => 'message/inbox',
        'send-messages'                     => 'message/all_send',
        'read-message/:num'                 => 'message/read_message',
        'show-message/:num'                 => 'message/show_message',
        'delete-message/:num'               => 'message/delete_message',
    /* === END MESSAGES === */


    /* === TIMELINE === */
        'new-timeline'                      => 'timeline/new_timeline',
        'all-timeline'                      => 'timeline/all_timeline',
        'view-timeline/:num'                => 'timeline/view_timeline',
        'add-timeline'                      => 'timeline/add_timeline',
        'show-timeline/:num'                => 'timeline/show_timeline',
        'edit-timeline'                     => 'timeline/edit_timeline',
        'edit-timeline-image'               => 'timeline/edit_timeline_image',
        'edit-timeline-video'               => 'timeline/edit_timeline_video',
        'delete-timeline/:num'              => 'timeline/delete_timeline',
        'delete-timeline-image/:num'        => 'timeline/delete_image',
        'send-comment'                      => 'timeline/ajax_send_comment',
        'edit-comment'                      => 'timeline/ajax_edit_comment',
        'delete-comment'                    => 'timeline/ajax_delete_comment',
    /* === END TIMELINE === */


    /* === COMPANIES === */
        'new-company'                       => 'company/new_company',
        'all-companies'                     => 'company/all_companies',
        'add-company'                       => 'company/add_company',
        'show-company/:num'                 => 'company/show_company',
        'edit-company'                      => 'company/edit_company',
        'delete-company/:num'               => 'company/delete_company',
    /* === END COMPANIES === */


    /* === APPOINTMENTS === */
        'new-appointment'                   => 'appointment/new_appointment',
        'all-appointments'                  => 'appointment/all_appointments',
        'create-appointment/:num'           => 'appointment/create_appointment',
        'add-appointment'                   => 'appointment/add_appointment',
        'show-appointment/:num'             => 'appointment/show_appointment',
        'edit-appointment'                  => 'appointment/edit_appointment',
        'complete-appointment/:num'         => 'appointment/complete_appointment',
        'delete-appointment/:num'           => 'appointment/delete_appointment',
        'appointments-settings'             => 'appointment/settings',
    /* === END APPOINTMENTS === */


    /* === NEWSLETTER === */
        'new-newsletter'                    => 'newsletter/new_newsletter',
        'all-newsletters'                   => 'newsletter/all_newsletters',
        'add-newsletter'                    => 'newsletter/add_newsletter',
        'show-newsletter/:num'              => 'newsletter/show_newsletter',
        'delete-newsletter/:num'            => 'newsletter/delete_newsletter',
        'all-subscribers'                   => 'newsletter/all_subscribers',
        'add-subscriber'                    => 'newsletter/add_subscriber',
        'delete-subscriber/:num'            => 'newsletter/delete_subscriber',
    /* === END NEWSLETTER === */


    /* === USERS === */
        'dashboard'                         => 'user/dashboard',
        'my-business'                       => 'user/business',
        'edit-page'                         => 'user/edit_page',
        'edit-business'                     => 'user/edit_business',
        'my-cover'                          => 'user/cover',
        'my-portfolio'                      => 'user/portfolio',
        'upload/:segment'                   => 'user/upload',
        'delete-image/:num'                 => 'user/delete_image',
        'my-partners'                       => 'user/all_partners',
        'my-socials'                        => 'user/socials',
        'add-social'                        => 'user/add_social',
        'change-password'                   => 'user/change_password',
        'edit-password'                     => 'user/edit_password',
        'settings'                          => 'user/settings',
        'choose-language'                   => 'user/choose_language',
        'set-privacy'                       => 'user/set_privacy',

        'more-results/:segment'             => 'user/more_results',
        'check-name'                        => 'user/ajax_check_name',
        'add-partner'                       => 'user/ajax_add_partner',
        'cancel-partner'                    => 'user/ajax_cancel_partner',
        'accept-partner'                    => 'user/ajax_accept_partner',
        'delete-partner'                    => 'user/ajax_delete_partner',
        'search'                            => 'user/ajax_search',
        'like'                              => 'user/ajax_like',
        'requests'                          => 'user/requests',

        'results'                           => 'user/page',
        '(:segment)/timeline'               => 'user/page',
        '(:segment)/about-us'               => 'user/page',
        '(:segment)/portfolio'              => 'user/page',
        '(:segment)/send-message'           => 'user/page',
        '(:segment)/partners'               => 'user/page',
        'wall'                              => 'user/wall',
    /* === END USERS === */


);

