<h2 class="page-header"><i class="fa fa-dashboard"></i> <?php echo Lang::get('admin_dashboard');?></h2>

<?php if ($userSettings['user_status'] != 1) { ?>
    <div class="alert alert-warning">
        <i class="fa fa-exclamation-triangle"></i> <?php echo Lang::get('please_complete_you_profile_to_activate_your_account');?>
        <p>
            <a href="my-business"><i class="fa fa-pencil-square-o"></i> <?php echo Lang::get('my_business');?></a>
        </p>
    </div>
<?php } ?>

<?php if (!$dashboard['language']) { ?>
    <div class="alert alert-warning">
        <i class="fa fa-exclamation-triangle"></i> <?php echo Lang::get('you_did_not_choose_your_language');?>
        <p>
            <a href="settings"><i class="fa fa-pencil-cog"></i> <?php echo Lang::get('choose_your_language');?></a>
        </p>
    </div>
<?php } ?>

<div class="row">
    <div class="col-sm-4 col-md-3 col-lg-2">
        <div class="thumbnail dashboard">
            <i class="fa fa-book icon-big"></i>
            <div class="caption">
                <h4><?php echo Lang::get('languages');?></h4>
                <p>
                   <?php echo $dashboard['languages'];?> <?php echo Lang::get('languages');?>
                </p>
            </div>
        </div>
    </div>

    <div class="col-sm-4 col-md-3 col-lg-2">
        <div class="thumbnail dashboard">
            <i class="fa fa-users icon-big"></i>
            <div class="caption">
                <h4><?php echo Lang::get('users');?></h4>
                <p>
                   <?php echo $dashboard['users'];?> <?php echo Lang::get('users');?>
                </p>
            </div>
        </div>
    </div>
</div>


<h3><?php echo Lang::get('external_page');?> <?php echo Uri::base();?>page/<?php echo $business['company_url'];?></h3>

<div class="row">
    <div class="col-sm-4 col-md-3 col-lg-2">
        <div class="thumbnail dashboard">
            <i class="fa fa-book icon-big"></i>
            <div class="caption">
                <h4><?php echo Lang::get('country_language');?></h4>
                <p>
                    <?php if ($dashboard['language']) { ?>
                        <img src="public/flags/<?php echo $dashboard['language']['country_flag'];?>" width="20" height="20">
                        <?php echo $dashboard['language']['country_name'];?>
                    <?php } else { ?>
                        <?php echo Lang::get('is_not_set');?>
                    <?php } ?>
                </p>
            </div>
        </div>
    </div>

    <div class="col-sm-4 col-md-3 col-lg-2">
        <div class="thumbnail dashboard">
            <i class="fa fa-users icon-big"></i>
            <div class="caption">
                <h4><?php echo Lang::get('partners');?></h4>
                <p><?php echo $dashboard['partners'] ? sizeof($dashboard['partners']) : 0;?></p>
            </div>
        </div>
    </div>

    <div class="col-sm-4 col-md-3 col-lg-2">
        <div class="thumbnail dashboard">
            <i class="fa fa-briefcase icon-big"></i>
            <div class="caption">
                <h4><?php echo Lang::get('requests');?></h4>
                <p><?php echo $dashboard['now']['requests'];?></p>
            </div>
        </div>
    </div>

    <div class="col-sm-4 col-md-3 col-lg-2">
        <div class="thumbnail dashboard">
            <i class="fa fa-envelope icon-big"></i>
            <div class="caption">
                <h4><?php echo Lang::get('new_messages');?></h4>
                <p><?php echo $dashboard['now']['messages'];?></p>
            </div>
        </div>
    </div>

    <div class="col-sm-4 col-md-3 col-lg-2">
        <div class="thumbnail dashboard">
            <i class="fa fa-users icon-big"></i>
            <div class="caption">
                <h4><?php echo Lang::get('subscribers');?></h4>
                <p><?php echo $dashboard['subscribers'];?></p>
            </div>
        </div>
    </div>

    <div class="col-sm-4 col-md-3 col-lg-2">
        <div class="thumbnail dashboard">
            <i class="fa fa-globe icon-big"></i>
            <div class="caption">
                <h4><?php echo Lang::get('companies');?></h4>
                <p><?php echo sizeof($dashboard['companies']);?></p>
            </div>
        </div>
    </div>
</div>


<h2 class="page-header top40"><i class="fa fa-calendar"></i> <?php echo Lang::get('calendar');?></h2>
<div class="row">
    <div class="col-md-12">
        <input type="hidden" value="<?php echo $dashboard['appoiments'];?>" id="solsoCalendar">
        <div id="calendar"></div>
    </div>
</div>