<h2 class="page-header"><i class="fa fa-book"></i> <?php echo Lang::get('languages');?></h2>

<h3 class="top40"><i class="fa fa-plus"></i> <?php echo Lang::get('add_new_language');?></h3>
<div class="row">
<div class="col-md-4">
<form action="admin/add-language" accept-charset="utf-8" method="post" role="form" parsley-validate>
    <div class="form-group">
        <label for="language"><?php echo Lang::get('country');?></label>
        <select name="language" class="form-control required">
            <option selected value=""><?php echo Lang::get('choose_country');?></option>

            <?php foreach ($countries as $c) { ?>
                <option value="<?php echo $c['country_name'];?>"><?php echo str_replace("-", " ", $c['country_name']);?></option>
            <?php } ?>
        </select>

        <?php if (isset($errors['language'])) { ?>
            <p class="error"><?php echo $errors['language'];?></p>
        <?php } ?>
    </div>

    <div class="form-group">
        <button type="submit" class="btn btn-primary"><i class="fa fa-floppy-o"></i> <?php echo Lang::get('save');?></button>
    </div>
</form>
</div>
</div>


<h3 class="top80"><?php echo Lang::get('languages');?></h3>
<table id="solsoTable" class="display table">
<thead>
    <tr>
        <th><?php echo Lang::get('crt');?></th>
        <th><?php echo Lang::get('language_name');?></th>
        <th><?php echo Lang::get('language_flag');?></th>
        <th><?php echo Lang::get('action');?></th>
        <th><?php echo Lang::get('action');?></th>
    </tr>
</thead>
<tbody>
<?php foreach ($languages as $crt => $l) { ?>
    <tr>
        <td><?php echo ++$crt;?></td>

        <td>
            <?php echo $l['country_name'];?>
        </td>

        <td>
            <img src="public/flags/<?php echo $l['country_flag'];?>">
        </td>

        <td class="td-small">
            <a href="admin/show-language/<?php echo $l['language_id'];?>" class="btn btn-info"><i class="fa fa-edit"></i> <?php echo Lang::get('edit');?></a>
        </td>

        <td class="td-small">
            <a href="admin/delete-language/<?php echo $l['language_id'];?>/#solsoModal" data-toggle="modal" class="btn btn-danger confirm-delete"><i class="fa fa-trash-o"></i> <?php echo Lang::get('delete');?></a>
        </td>
    </tr>
<?php } ?>
</tbody>
</table>

<?php echo View::forge('_module/yes-no');?>