<?php echo View::forge('_begin');?>

<nav class="navbar navbar-default navbar-fixed-top" role="navigation">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a href="" class="navbar-brand"><i class="fa fa-home"></i> <?php echo $settings['app_name'];?></a>
        </div>

        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
                <li>
                    <span class="navbar-brand"><?php echo $contacts;?> <?php echo Lang::get('possible_partners');?></span>
                </li>
            </ul>

            <ul class="nav navbar-nav navbar-right">
                <li>
                    <a href="lost-password"><i class="fa fa-unlock"></i> <?php echo Lang::get('lost_password');?></a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<div class="jumbotron">
    <h1><?php echo $settings['app_name'];?></h1>
</div>

<div class="container">
<div class="row">

    <?php $message = Session::get_flash('message');?>
    <?php if (isset($message)) { ?>
        <div class="col-md-12">
            <p class="error">
                <?php echo $message;?>
            </p>
        </div>
    <?php } ?>

    <div class="col-md-4">
        <h2><?php echo Lang::get('authentication');?></h2>

        <form action="login" accept-charset="utf-8" method="post" role="form" parsley-validate>
            <div class="form-group">
                <label for="email"><?php echo Lang::get('email');?></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-envelope"></i></span>
                    <input type="email" name="email" class="form-control required email" id="email" placeholder="email address" parsley-error-container=".group1">
                </div>

                <div class="group1"></div>
                <?php if (isset($errors['email'])) { ?>
                    <p class="error"><?php echo $errors['email'];?></p>
                <?php } ?>
            </div>

            <div class="form-group">
                <label for="password"><?php echo Lang::get('password');?></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                    <input type="password" name="password" class="form-control required" id="password" placeholder="password" parsley-error-container=".group2" autocomplete="off">
                </div>

                <div class="group2"></div>
                <?php if (isset($errors['password'])) { ?>
                    <p class="error"><?php echo $errors['password'];?></p>
                <?php } ?>
            </div>

            <div class="form-group">
                <input type="hidden" name="<?php echo \Config::get('security.csrf_token_key');?>" value="<?php echo \Security::fetch_token();?>">
                <button type="submit" class="btn btn-success"><i class="fa fa-sign-in"></i> <?php echo Lang::get('login');?></button>
            </div>
        </form>
    </div>


    <div class="col-md-4 col-md-offset-4">
        <h2><?php echo Lang::get('registration');?></h2>

        <form action="registration" accept-charset="utf-8" method="post" role="form" parsley-validate>
            <div class="form-group">
                <label for="remail"><?php echo Lang::get('email');?></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-envelope"></i></span>
                    <input type="email" name="remail" class="form-control required email" id="remail" placeholder="email address" parsley-error-container=".group3" autocomplete="off">
                </div>

                <div class="group3"></div>
                <?php if (isset($errors['remail'])) { ?>
                    <p class="error"><?php echo $errors['remail'];?></p>
                <?php } ?>
            </div>

            <div class="form-group">
                <label for="rrepeat"><?php echo Lang::get('repeat_email');?></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-envelope"></i></span>
                    <input type="email" name="rrepeat" class="form-control required email" id="rrepeat" placeholder="email address" parsley-error-container=".group4" autocomplete="off">
                </div>

                <div class="group4"></div>
                <?php if (isset($errors['rrepeat'])) { ?>
                    <p class="error"><?php echo $errors['rrepeat'];?></p>
                <?php } ?>
            </div>

            <div class="form-group">
                <label for="rpassword"><?php echo Lang::get('password');?></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                    <input type="password" name="rpassword" class="form-control required" id="rpassword" placeholder="password" parsley-error-container=".group5" autocomplete="off">
                </div>

                <div class="group5"></div>
                <?php if (isset($errors['rpassword'])) { ?>
                    <p class="error"><?php echo $errors['rpassword'];?></p>
                <?php } ?>
            </div>

            <div class="form-group">
                <input type="hidden" name="<?php echo \Config::get('security.csrf_token_key');?>" value="<?php echo \Security::fetch_token();?>">
                <button type="submit" class="btn btn-success"><i class="fa fa-sign-in"></i> <?php echo Lang::get('sign_up');?></button>
            </div>
        </form>
    </div>
</div>
</div>

<?php echo View::forge('_end');?>