<?php echo View::forge('_begin');?>

<nav class="navbar navbar-default navbar-fixed-top" role="navigation">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a href="" class="navbar-brand"><i class="fa fa-home"></i> <?php echo $settings['app_name'];?></a>
        </div>

        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
                <li>
                    <span class="navbar-brand"><?php echo $contacts;?> <?php echo Lang::get('possible_partners');?></span>
                </li>
            </ul>

            <ul class="nav navbar-nav navbar-right">
                <li>
                    <a href="login"><i class="fa fa-sign-in"></i> <?php echo Lang::get('authentication_registration');?></a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<div class="jumbotron">
    <h1><?php echo $settings['app_name'];?></h1>
</div>

<div class="container">
<div class="row">

    <?php $message = Session::get_flash('message');?>
    <?php if (isset($message)) { ?>
        <div class="col-md-12">
            <p class="error">
                <?php echo $message;?>
            </p>
        </div>
    <?php } ?>


    <div id="solso-form" class="col-md-4 col-md-offset-4">
        <h2><?php echo Lang::get('lost_password');?></h2>

        <form action="new-password" accept-charset="utf-8" method="post" role="form" parsley-validate>
            <div class="form-group">
                <label for="email"><?php echo Lang::get('email');?></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-envelope"></i></span>
                    <input type="email" name="email" class="form-control required email" id="email" placeholder="email address" parsley-error-container=".group1">
                </div>

                <div class="group1"></div>
                <?php if (isset($errors['email'])) { ?>
                    <p class="error"><?php echo $errors['email'];?></p>
                <?php } ?>
            </div>

            <div class="form-group">
                <input type="hidden" name="<?php echo \Config::get('security.csrf_token_key');?>" value="<?php echo \Security::fetch_token();?>">
                <button type="submit" class="btn btn-success"><i class="fa fa-share"></i> <?php echo Lang::get('send');?></button>
            </div>
        </form>
    </div>
</div>
</div>

<?php echo View::forge('_end');?>