<h2 class="page-header"><?php echo Lang::get('edit_appointment');?></h2>

<table class="table table-bordered w25">
<thead>
    <tr>
        <th colspan="4"><?php echo $appointment['company_name'];?></th>
    </tr>
</thead>
<tbody>
    <tr>
        <td><?php echo Lang::get('category');?></td>
        <td><?php echo $appointment['category_name'];?></td>
        <td><?php echo Lang::get('postal_zip_code');?></td>
        <td>
            <?php echo $appointment['company_zip_code'];?>
         </td>
    </tr>
    <tr>
        <td><?php echo Lang::get('subcategory');?></td>
        <td><?php echo $appointment['subcategory_name'];?></td>
        <td><?php echo Lang::get('address');?></td>
        <td>
            <?php echo $appointment['company_address'];?>
        </td>
    </tr>
    <tr>
        <td><?php echo Lang::get('country');?></td>
        <td>
            <?php echo $appointment['company_country'];?>
        </td>
        <td><?php echo Lang::get('phone');?></td>
        <td>
            <?php echo $appointment['company_phone'];?>
        </td>
    </tr>
    <tr>
        <td><?php echo Lang::get('province_state');?></td>
        <td>
            <?php echo $appointment['company_state'];?>
        </td>
        <td><?php echo Lang::get('email');?></td>
        <td>
            <?php echo $appointment['company_email'];?>
        </td>
    </tr>
    <tr>
        <td><?php echo Lang::get('city');?></td>
        <td>
            <?php echo $appointment['company_city'];?>
        </td>
        <td><?php echo Lang::get('website');?></td>
        <td>
            <?php echo $appointment['company_website'];?>
        </td>
    </tr>
</tbody>
</table>

<div class="row">
<div class="col-md-6">
    <form action="edit-appointment" accept-charset="utf-8" method="post" role="form" parsley-validate>
        <div class="form-group">
            <label for="subject"><?php echo Lang::get('subject');?></label>
            <input type="text" name="subject" class="form-control required" value="<?php echo isset($validation['subject']) ? $validation['subject'] : $appointment['appointment_subject'];?>">

            <?php if (isset($errors['subject'])) { ?>
                <p class="error"><?php echo $errors['subject'];?></p>
            <?php } ?>
        </div>

        <div class="row">
            <div class="form-group">
                <div class="col-md-3">
                    <label for="startDate"><?php echo Lang::get('start_date');?></label>
                    <input type="date" name="startDate" class="form-control datepicker required"
                    value="<?php echo isset($validation['startDate']) ? $validation['startDate'] : $appointment['appointment_startdate'];?>" data-date="<?php echo date('Y-m-d');?>">
                </div>
                <div class="col-md-2">
                    <label for="startTime"><?php echo Lang::get('start_time');?></label>
                    <input type="date" name="startTime" class="form-control timepicker"
                    value="<?php echo isset($validation['startTime']) ? $validation['startTime'] : $appointment['appointment_starttime'];?>">
                </div>

                <div class="col-md-3">
                    <label for="endDate"><?php echo Lang::get('end_date');?></label>
                    <input type="date" name="endDate" class="form-control datepicker required"
                    value="<?php echo isset($validation['endDate']) ? $validation['endDate'] : $appointment['appointment_enddate'];?>" data-date="<?php echo date('Y-m-d');?>">
                </div>
                <div class="col-md-2">
                    <label for="endTime"><?php echo Lang::get('end_time');?></label>
                    <input type="date" name="endTime" class="form-control timepicker"
                    value="<?php echo isset($validation['endTime']) ? $validation['endTime'] : $appointment['appointment_endtime'];?>">
                </div>
            </div>
        </div>

        <?php if (isset($errors['startDate'])) { ?>
            <p class="error"><?php echo $errors['startDate'];?></p>
        <?php } ?>


        <div class="form-group">
            <label for="message"><?php echo Lang::get('observation');?></label>
            <textarea name="message" class="form-control" rows="10"><?php echo $appointment['appointment_obs'];?></textarea>
        </div>

        <div class="form-group">
            <input type="hidden" name="appointmentID" value="<?php echo $appointment['appointment_id'];?>">
            <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> <?php echo Lang::get('save');?></button>
        </div>
    </form>
</div>
</div>