<h2 class="page-header"><i class="fa fa-edit"></i> <?php echo Lang::get('edit_company');?></h2>

<div class="row">
<form action="edit-company" accept-charset="utf-8" method="post" role="form" parsley-validate>
    <div class="col-lg-4 col-md-6">
        <div class="form-group">
            <label for="cod"><?php echo Lang::get('category');?></label>

            <select name="category" class="form-control required">
                <?php if($company) { ?>
                    <option value="<?php echo $company['subcategory_id'];?>"><?php echo $company['subcategory_name'];?></option>
                <?php } else { ?>
                    <option selected value=""><?php echo Lang::get('please_select');?></option>
                <?php } ?>

                <?php foreach ($subcategories as $cat => $subcat) { ?>
                <optgroup label="<?php echo $cat;?>">
                    <?php foreach ($subcat as $id => $s) { ?>
                        <option value="<?php echo $id;?>"><?php echo $s?></option>
                    <?php } ?>
                </optgroup>
                <?php } ?>
            </select>

            <?php if (isset($errors['category'])) { ?>
                <p class="error"><?php echo $errors['category'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="name"><?php echo Lang::get('business_name');?></label>
            <input type="text" name="name" class="form-control required" value="<?php echo isset($validation['name']) ? $validation['name'] : $company['company_name'];?>">

            <?php if (isset($errors['name'])) { ?>
                <p class="error"><?php echo $errors['name'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="country"><?php echo Lang::get('country');?></label>
            <input type="text" name="country" class="form-control required" value="<?php echo isset($validation['country']) ? $validation['country'] : $company['company_country'];?>">

            <?php if (isset($errors['country'])) { ?>
                <p class="error"><?php echo $errors['country'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="state"><?php echo Lang::get('province_state');?></label>
            <input type="text" name="state" class="form-control required" value="<?php echo isset($validation['state']) ? $validation['state'] : $company['company_state'];?>">

            <?php if (isset($errors['state'])) { ?>
                <p class="error"><?php echo $errors['state'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="city"><?php echo Lang::get('city');?></label>
            <input type="text" name="city" class="form-control required" value="<?php echo isset($validation['city']) ? $validation['city'] : $company['company_city'];?>">

            <?php if (isset($errors['city'])) { ?>
                <p class="error"><?php echo $errors['city'];?></p>
            <?php } ?>
        </div>
    </div>

    <div class="col-lg-4 col-md-6">
        <div class="form-group">
            <label for="zip"><?php echo Lang::get('postal_zip_code');?></label>
            <input type="text" name="zip" class="form-control required" value="<?php echo isset($validation['zip']) ? $validation['zip'] : $company['company_zip_code'];?>">

            <?php if (isset($errors['zip'])) { ?>
                <p class="error"><?php echo $errors['zip'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="address"><?php echo Lang::get('address');?>Address</label>
            <input type="text" name="address" class="form-control " value="<?php echo isset($validation['address']) ? $validation['address'] : $company['company_address'];?>">

            <?php if (isset($errors['address'])) { ?>
                <p class="error"><?php echo $errors['address'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="phone"><?php echo Lang::get('phone');?></label>
            <input type="text" name="phone" class="form-control required" value="<?php echo isset($validation['phone']) ? $validation['phone'] : $company['company_phone'];?>">

            <?php if (isset($errors['phone'])) { ?>
                <p class="error"><?php echo $errors['phone'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="email"><?php echo Lang::get('email');?></label>
            <input type="text" name="email" class="form-control required" value="<?php echo isset($validation['email']) ? $validation['email'] : $company['company_email'];?>">

            <?php if (isset($errors['email'])) { ?>
                <p class="error"><?php echo $errors['email'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="website"><?php echo Lang::get('website');?></label>
            <input type="text" name="website" class="form-control" value="<?php echo isset($validation['website']) ? $validation['website'] : $company['company_website'];?>">
         </div>
    </div>
    <div class="clearfix"></div>

    <div class="col-lg-8 col-md-12">
        <div class="form-group">
            <label for="description"><?php echo Lang::get('business_description');?></label>
            <textarea name="description" class="form-control" rows="10"><?php echo isset($validation['description']) ? $validation['description'] : $company['company_description'];?></textarea>
        </div>
    </div>

    <div class="col-lg-12 col-md-12 form-group">
        <input type="hidden" name="companyID" value="<?php echo $company['company_id'];?>">
        <button type="submit" class="btn btn-primary"><i class="fa fa-floppy-o"></i> <?php echo Lang::get('save');?></button>
    </div>
</form>
</div>
