<h2 class="page-header"><i class="fa fa-edit"></i> <?php echo Lang::get('sliders_and_logo');?></h2>

<?php $message = Session::get_flash('message');?>
<?php if (isset($message)) { ?>
    <div class="alert alert-info">
        <i class="fa fa-info-circle"></i> <?php echo Lang::get('information');?>
        <p>
            <?php echo $message;?>
        </p>
    </div>
<?php } ?>

<div class="container">
<div class="row">
<?php if($sliderLogo['sliders']) { ?>
   <div class="cover img-thumbnail">
        <div id="carousel-example-generic" class="carousel slide" data-ride="carousel">

            <?php if (sizeof($sliderLogo['sliders']) > 1 ) { ?>
                <ol class="carousel-indicators">
                    <?php foreach ($sliderLogo['sliders'] as $id => $nothing) { ?>
                        <?php if ($id == 0) { ?>
                            <li data-target="#carousel-example-generic" data-slide-to="0" class="active"></li>
                        <?php } else { ?>
                            <li data-target="#carousel-example-generic" data-slide-to="<?php echo $id;?>"></li>
                        <?php } ?>
                    <?php } ?>
                </ol>
            <?php } ?>

            <div class="carousel-inner">
                <?php foreach ($sliderLogo['sliders'] as $id => $slider) { ?>
                    <?php if ($id == 0) { ?>
                        <div class="item active">
                            <img src="public/upload/slider/thumbs/<?php echo $slider['image_name'];?>" alt="<?php echo $business['company_name'];?>" title="<?php echo $business['company_name'];?>" class="img-responsive">
                        </div>
                    <?php } else { ?>
                        <div class="item">
                            <img src="public/upload/slider/thumbs/<?php echo $slider['image_name'];?>" alt="<?php echo $business['company_name'];?>" title="<?php echo $business['company_name'];?>" class="img-responsive">
                        </div>
                    <?php } ?>
                <?php } ?>
            </div>

            <?php if (sizeof($sliderLogo['sliders']) > 1 ) { ?>
                <a class="left carousel-control" href="#carousel-example-generic" data-slide="prev">
                    <span class="glyphicon glyphicon-chevron-left"></span>
                </a>
                <a class="right carousel-control" href="#carousel-example-generic" data-slide="next">
                    <span class="glyphicon glyphicon-chevron-right"></span>
                </a>
            <?php } ?>
        </div>
    </div>
    <?php } else { ?>
        <div class="col-md-12 no-cover img-thumbnail">
            <h1><?php echo $business['company_name'];?></h1>
        </div>
    <?php } ?>

    <div class="col-md-12">
        <ul class="nav navbar-nav navbar-right solso-socials">
            <li>
                <span class="navbar-brand"><i class="fa fa-briefcase"></i></span>
            </li>
            <?php foreach ($userSocials as $link => $s) { ?>
                <li>
                    <span class="navbar-brand"><i class="<?php echo $s['social_icon'];?>"></i></span>
                </li>
            <?php } ?>
        </ul>
    </div>

    <div id="business" class="col-md-12 cover img-thumbnail">
        <div class="row">
            <!-- aici poti sa scoti IF-ul -->
            <div class="col-md-3">
                <div class="logo">
                    <?php if ($sliderLogo['logo']) { ?>
                        <img src="public/upload/logo/thumbs/<?php echo $sliderLogo['logo']['image_name'];?>" width="200" height="200" class="img-responsive"
                        alt="logo <?php echo $business['company_name'];?>" title="<?php echo $business['company_name'];?>">
                    <?php } else { ?>
                        <h3><?php echo $business['company_name'];?></h3>
                    <?php } ?>
                </div>
            </div>

            <div class="col-md-9">
                <h1><?php echo $business['company_name'] ? $business['company_name'] : Lang::get('unknown');?></h1>
            </div>
        </div>
    </div>

    <div class="col-md-12 top40">
    <div class="row">
        <h2><?php echo Lang::get('upload_sliders');?> <small><?php echo Lang::get('recommended_sliders');?></small></h2>

        <form action="upload/slider" accept-charset="utf-8" method="post" enctype="multipart/form-data" role="form" parsley-validate>
            <div class="form-group">
                <label for="file"><?php echo Lang::get('upload_image');?></label>

                <input type="file" name="file" class="btn btn-info required" required2>
            </div>

            <div class="form-group">
                <button type="submit" class="btn btn-primary solso-btn"><i class="fa fa-upload"></i> <?php echo Lang::get('upload_image');?></button>
            </div>
        </form>
    </div>
    </div>

    <div class="row">
        <?php foreach ($sliderLogo['sliders'] as $id => $slider) { ?>
            <div class="col-xs-6 col-md-3">
                <a href="#" class="thumbnail">
                    <img src="public/upload/slider/thumbs/<?php echo $slider['image_name'];?>" class="img-responsive"
                    alt="<?php echo $business['company_name'];?>" title="<?php echo $business['company_name'];?>">
                </a>
                <a href="delete-image/<?php echo $slider['image_id'];?>/#solsoModal" data-toggle="modal" class="btn btn-danger btn-sm confirm-delete"><?php echo Lang::get('delete_image');?></a>
            </div>
        <?php } ?>
    </div>

    <div class="col-md-12 top40">
    <div class="row">
        <h2><?php echo Lang::get('upload_logo');?> <small><?php echo Lang::get('recommended_logo');?></small></h2>

        <form action="upload/logo" accept-charset="utf-8" method="post" enctype="multipart/form-data" role="form" parsley-validate>
            <div class="form-group">
                <label for="image"><?php echo Lang::get('upload_image');?></label>

                <input type="file" name="file" class="btn btn-info required" required>
            </div>

            <div class="form-group">
                <button type="submit" class="btn btn-primary solso-btn"><i class="fa fa-upload"></i> <?php echo Lang::get('upload_image');?></button>
            </div>
        </form>
    </div>
    </div>
</div>
</div>

<?php echo View::forge('_module/yes-no');?>