<h2 class="page-header"><i class="fa fa-briefcase"></i> <?php echo Lang::get('my_business');?></h2>

<?php if ($userSettings['user_status'] != 1) { ?>
    <div class="alert alert-warning">
        <i class="fa fa-info-circle"></i>
        <?php echo Lang::get('please_complete_you_profile_to_activate_your_account');?>
    </div>
<?php } ?>

<div class="row">
<form action="edit-page" accept-charset="utf-8" method="post" role="form" parsley-validate>
    <div class="col-lg-8 col-md-12">
        <div class="form-group">
            <label for="cod"><?php echo Lang::get('business_page_name_only_alfa_numeric_characters_and_dash,_no_spaces');?></label>

            <div class="input-group">
                <span class="input-group-addon solso-pre"><?php echo Uri::base();?></span>
                <input type="text" name="page" class="form-control solsoPageName required"
                parsley-type="alphanum2" parsley-minlength="3" parsley-validation-minlength="3" parsley-error-container=".solso-group-error" autocomplete="off"
                value="<?php echo isset($validation['page']) ? $validation['page'] : $business['company_url'];?>">
                <span class="input-group-btn">
                    <button type="button" class="btn btn-info solsoCheck"><?php echo Lang::get('check_availability');?></button>
                    <button type="submit" class="btn btn-primary"><i class="fa fa-floppy-o"></i> <?php echo Lang::get('save');?></button>
                </span>
            </div>

            <div class="solso-group-error"></div>
            <?php $message = Session::get_flash('message');?>
            <?php if (isset($message)) { ?>
                    <p class="error">
                        <?php echo $message;?>
                    </p>
            <?php } ?>

            <?php if (isset($errors['page'])) { ?>
                <p class="error"><?php echo $errors['page'];?></p>
            <?php } ?>
        </div>
    </div>
</form>
</div>


<h2>About us</h2>
<div class="row">
<form action="edit-business" accept-charset="utf-8" method="post" class="top20" role="form" parsley-validate>
    <div class="col-lg-4 col-md-6">
        <div class="form-group">
            <label for="cod"><?php echo Lang::get('category');?></label>

            <select name="category" class="form-control ">
                <?php if($businessCategory) { ?>
                    <option value="<?php echo $businessCategory['subcategory_id'];?>"><?php echo $businessCategory['subcategory_name'];?></option>
                <?php } else { ?>
                    <option selected value=""><?php echo Lang::get('please_select');?></option>
                <?php } ?>

                <?php foreach ($subcategories as $cat => $subcat) { ?>
                <optgroup label="<?php echo $cat;?>">
                    <?php foreach ($subcat as $id => $s) { ?>
                        <option value="<?php echo $id;?>"><?php echo $s?></option>
                    <?php } ?>
                </optgroup>
                <?php } ?>
            </select>

            <?php if (isset($errors['category'])) { ?>
                <p class="error"><?php echo $errors['category'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="name"><?php echo Lang::get('business_name');?></label>
            <input type="text" name="name" class="form-control required" value="<?php echo isset($validation['name']) ? $validation['name'] : $business['company_name'];?>">

            <?php if (isset($errors['name'])) { ?>
                <p class="error"><?php echo $errors['name'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="country"><?php echo Lang::get('country');?></label>
            <input type="text" name="country" class="form-control required" value="<?php echo isset($validation['country']) ? $validation['country'] : $business['company_country'];?>">

            <?php if (isset($errors['country'])) { ?>
                <p class="error"><?php echo $errors['country'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="state"><?php echo Lang::get('province_state');?></label>
            <input type="text" name="state" class="form-control required" value="<?php echo isset($validation['state']) ? $validation['state'] : $business['company_state'];?>">

            <?php if (isset($errors['state'])) { ?>
                <p class="error"><?php echo $errors['state'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="city"><?php echo Lang::get('city');?></label>
            <input type="text" name="city" class="form-control required" value="<?php echo isset($validation['city']) ? $validation['city'] : $business['company_city'];?>">

            <?php if (isset($errors['city'])) { ?>
                <p class="error"><?php echo $errors['city'];?></p>
            <?php } ?>
        </div>
    </div>

    <div class="col-lg-4 col-md-6">
        <div class="form-group">
            <label for="zip"><?php echo Lang::get('postal_zip_code');?></label>
            <input type="text" name="zip" class="form-control required" value="<?php echo isset($validation['zip']) ? $validation['zip'] : $business['company_zip_code'];?>">

            <?php if (isset($errors['zip'])) { ?>
                <p class="error"><?php echo $errors['zip'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="address"><?php echo Lang::get('address');?></label>
            <input type="text" name="address" class="form-control required" value="<?php echo isset($validation['address']) ? $validation['address'] : $business['company_address'];?>">

            <?php if (isset($errors['address'])) { ?>
                <p class="error"><?php echo $errors['address'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="phone"><?php echo Lang::get('phone');?></label>
            <input type="text" name="phone" class="form-control required" value="<?php echo isset($validation['phone']) ? $validation['phone'] : $business['company_phone'];?>">

            <?php if (isset($errors['phone'])) { ?>
                <p class="error"><?php echo $errors['phone'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="email"><?php echo Lang::get('email');?></label>
            <input type="text" name="email" class="form-control required" value="<?php echo isset($validation['email']) ? $validation['email'] : $business['company_email'];?>">

            <?php if (isset($errors['email'])) { ?>
                <p class="error"><?php echo $errors['email'];?></p>
            <?php } ?>
        </div>

        <div class="form-group">
            <label for="website"><?php echo Lang::get('website');?></label>
            <input type="text" name="website" class="form-control" value="<?php echo isset($validation['website']) ? $validation['website'] : $business['company_website'];?>">
         </div>
    </div>
    <div class="clearfix"></div>

    <div class="col-lg-8 col-md-12">
        <div class="form-group">
            <label for="description"><?php echo Lang::get('business_description');?></label>
            <textarea name="description" class="form-control businessEditor"><?php echo isset($validation['description']) ? $validation['description'] : html_entity_decode($business['company_description']);?></textarea>
        </div>
    </div>

    <div class="col-lg-12 col-md-12 form-group">
        <button type="submit" class="btn btn-primary"><i class="fa fa-floppy-o"></i> <?php echo Lang::get('save');?></button>
    </div>
</form>
</div>
