<h2 class="page-header"><i class="fa fa-plus"></i> <?php echo Lang::get('newsletter');?></h2>

<?php $message = Session::get_flash('message');?>
<?php if (isset($message)) { ?>
    <div class="alert alert-warning">
        <i class="fa fa-exclamation-triangle"></i> <?php echo Lang::get('information');?>
        <p>
            <?php echo $message;?>
        </p>
    </div>
<?php } ?>

<div class="row">
<form action="add-newsletter" accept-charset="utf-8" method="post" role="form" parsley-validate>
    <div class="col-md-8">
        <div class="form-group">
            <label for="subject"><?php echo Lang::get('subject');?></label>
            <input type="text" name="subject" class="form-control required" value="<?php echo isset($validation['subject']) ? $validation['subject'] : '';?>">

            <?php if (isset($errors['subject'])) { ?>
                <p class="error"><?php echo $errors['subject'];?></p>
            <?php } ?>
        </div>
    </div>
    <div class="clearfix"></div>

    <div class="col-md-8">
        <div class="form-group">
            <label for="message"><?php echo Lang::get('message');?></label>
            <textarea name="message" class="form-control required" rows="10"><?php echo isset($validation['message']) ? $validation['message'] : '';?></textarea>

            <?php if (isset($errors['message'])) { ?>
                <p class="error"><?php echo $errors['message'];?></p>
            <?php } ?>
        </div>
    </div>

    <div class="col-md-8">
        <label for="cod"><?php echo Lang::get('send_newsletter_to');?></label>
        <div class="form-group">
            <div class="btn-group" data-toggle="buttons">
                <label class="btn btn-default">
                    <input type="radio" name="send" class="required" value="all" parsley-error-container=".solso-group-error"> <?php echo Lang::get('partners_subscribers');?>
                </label>

                <label class="btn btn-default">
                    <input type="radio" name="send" class="required" value="partners" parsley-error-container=".solso-group-error"> <?php echo Lang::get('only_partners');?>
                </label>

                <label class="btn btn-default">
                    <input type="radio" name="send" class="required" value="subscribers" parsley-error-container=".solso-group-error"> <?php echo Lang::get('only_subscribers');?>
                </label>
            </div>

            <div class="solso-group-error"></div>
            <?php if (isset($errors['send'])) { ?>
                <p class="error"><?php echo $errors['send'];?></p>
            <?php } ?>
        </div>
    </div>

    <div class="col-md-12 form-group">
        <button type="submit" class="btn btn-primary"><i class="fa fa-share"></i> <?php echo Lang::get('send');?></button>
    </div>
</form>
</div>
