<h2 class="page-header"><i class="fa fa-cogs"></i> <?php echo Lang::get('page_settings');?></h2>

<h3 class="top40"><?php echo Lang::get('languages');?></h3>
<div class="alert alert-info">
    <i class="fa fa-info-circle"></i> <?php echo Lang::get('information');?>
    <p>
        <?php echo Lang::get('english_is_default_language');?>
    </p>
</div>

<div class="row">
<form action="choose-language" accept-charset="utf-8" method="post" class="top20" role="form" parsley-validate>
    <div class="form-group col-md-6 col-lg-4">
        <div class="form-group">
            <label for="language"><?php echo Lang::get('languages_are_available_for_the_following_countries');?></label>
            <div class="input-group">
                <select name="language" class="form-control required">
                    <option selected value=""><?php echo Lang::get('choose_country');?></option>

                    <?php foreach ($languages as $c) { ?>
                        <option value="<?php echo $c['country_name'];?>"><?php echo str_replace("-", " ", $c['country_name']);?></option>
                    <?php } ?>
                </select>
                <span class="input-group-btn">
                    <button type="submit" class="btn btn-primary"><i class="fa fa-floppy-o"></i> <?php echo Lang::get('save');?></button>
                </span>
            </div>

            <div class="solso-group-error"></div>

            <?php if (isset($errors['language'])) { ?>
                <p class="error"><?php echo $errors['language'];?></p>
            <?php } ?>
        </div>
    </div>
</form>
</div>


<h3 class="top40"><?php echo Lang::get('my_business_details');?></h3>
<div class="alert alert-info">
    <i class="fa fa-info-circle"></i> <?php echo Lang::get('information');?>
    <p>
        <?php echo Lang::get('private_only_partners_can_see_my_details');?>
    </p>
    <p>
        <?php echo Lang::get('public_every_one_can_see_my_details_default');?>
    </p>
</div>

<div class="row">
<form action="set-privacy" accept-charset="utf-8" method="post" class="top20" role="form">
    <div  class="col-md-6 col-lg-6">
    <table class="table w55">
    <thead>
        <tr>
            <th><?php echo Lang::get('field');?></th>
            <th><?php echo Lang::get('edit');?></th>
        </tr>
    </thead>

    <tbody>
        <tr>
            <td><?php echo Lang::get('country');?></td>
            <td>
                <div class="btn-group" data-toggle="buttons">
                    <label class="btn btn-default <?php echo $userSettings['show_country'] == 1 ? 'active' : false;?>">
                        <input type="radio" name="country" value="private" <?php echo $userSettings['show_country'] == 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('private');?>
                    </label>

                    <label class="btn btn-default <?php echo $userSettings['show_country'] != 1 ? 'active' : false;?>">
                        <input type="radio" name="country" value="public" <?php echo $userSettings['show_country'] != 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('public');?>
                    </label>
                </div>
            </td>
        </tr>
        <tr>
            <td><?php echo Lang::get('province_state');?></td>
            <td>
                <div class="btn-group" data-toggle="buttons">
                    <label class="btn btn-default <?php echo $userSettings['show_state'] == 1 ? 'active' : false;?>">
                        <input type="radio" name="state" value="private" <?php echo $userSettings['show_state'] == 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('private');?>
                    </label>

                    <label class="btn btn-default <?php echo $userSettings['show_state'] != 1 ? 'active' : false;?>">
                        <input type="radio" name="state" value="public" <?php echo $userSettings['show_state'] != 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('public');?>
                    </label>
                </div>
            </td>
        </tr>
        <tr>
            <td><?php echo Lang::get('city');?></td>
            <td>
                <div class="btn-group" data-toggle="buttons">
                    <label class="btn btn-default <?php echo $userSettings['show_city'] == 1 ? 'active' : false;?>">
                        <input type="radio" name="city" value="private" <?php echo $userSettings['show_city'] == 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('private');?>
                    </label>

                    <label class="btn btn-default <?php echo $userSettings['show_city'] != 1 ? 'active' : false;?>">
                        <input type="radio" name="city" value="public" <?php echo $userSettings['show_city'] != 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('public');?>
                    </label>
                </div>
            </td>
        </tr>
        <tr>
            <td><?php echo Lang::get('postal_zip_code');?></td>
            <td>
                <div class="btn-group" data-toggle="buttons">
                    <label class="btn btn-default <?php echo $userSettings['show_zip_code'] == 1 ? 'active' : false;?>">
                        <input type="radio" name="code" value="private" <?php echo $userSettings['show_zip_code'] == 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('private');?>
                    </label>

                    <label class="btn btn-default <?php echo $userSettings['show_zip_code'] != 1 ? 'active' : false;?>">
                        <input type="radio" name="code" value="public" <?php echo $userSettings['show_zip_code'] != 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('public');?>
                    </label>
                </div>
            </td>
        </tr>
        <tr>
            <td><?php echo Lang::get('address');?></td>
            <td>
                <div class="btn-group" data-toggle="buttons">
                    <label class="btn btn-default <?php echo $userSettings['show_address'] == 1 ? 'active' : false;?>">
                        <input type="radio" name="address" value="private" <?php echo $userSettings['show_address'] == 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('private');?>
                    </label>

                    <label class="btn btn-default <?php echo $userSettings['show_address'] != 1 ? 'active' : false;?>">
                        <input type="radio" name="address" value="public" <?php echo $userSettings['show_address'] != 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('public');?>
                    </label>
                </div>
            </td>
        </tr>
        <tr>
            <td><?php echo Lang::get('phone');?></td>
            <td>
                <div class="btn-group" data-toggle="buttons">
                    <label class="btn btn-default <?php echo $userSettings['show_phone'] == 1 ? 'active' : false;?>">
                        <input type="radio" name="phone" value="private" <?php echo $userSettings['show_phone'] == 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('private');?>
                    </label>

                    <label class="btn btn-default <?php echo $userSettings['show_phone'] != 1 ? 'active' : false;?>">
                        <input type="radio" name="phone" value="public" <?php echo $userSettings['show_phone'] != 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('public');?>
                    </label>
                </div>
            </td>
        </tr>
        <tr>
            <td><?php echo Lang::get('email');?></td>
            <td>
                <div class="btn-group" data-toggle="buttons">
                    <label class="btn btn-default <?php echo $userSettings['show_email'] == 1 ? 'active' : false;?>">
                        <input type="radio" name="email" value="private" <?php echo $userSettings['show_email'] == 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('private');?>
                    </label>

                    <label class="btn btn-default <?php echo $userSettings['show_email'] != 1 ? 'active' : false;?>">
                        <input type="radio" name="email" value="public" <?php echo $userSettings['show_email'] != 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('public');?>
                    </label>
                </div>
            </td>
        </tr>
        <tr>
            <td><?php echo Lang::get('website');?></td>
            <td>
                <div class="btn-group" data-toggle="buttons">
                    <label class="btn btn-default <?php echo $userSettings['show_website'] == 1 ? 'active' : false;?>">
                        <input type="radio" name="website" value="private" <?php echo $userSettings['show_website'] == 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('private');?>
                    </label>

                    <label class="btn btn-default <?php echo $userSettings['show_website'] != 1 ? 'active' : false;?>">
                        <input type="radio" name="website" value="public" <?php echo $userSettings['show_website'] != 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('public');?>
                    </label>
                </div>
            </td>
        </tr>
    </tbody>

    <tfoot>
        <tr>
            <td>&nbsp;</td>
            <td><button type="submit" class="btn btn-primary"><i class="fa fa-floppy-o"></i> <?php echo Lang::get('save');?></button></td>
        </tr>
    </tfoot>
    </table>
    </div>

    <div  class="col-md-6 col-lg-6">
    <table class="table w50">
    <thead>
        <tr>
            <th><?php echo Lang::get('field');?></th>
            <th><?php echo Lang::get('edit');?></th>
        </tr>
    </thead>

    <tbody>
        <tr>
            <td><?php echo Lang::get('timeline');?></td>
            <td>
                <div class="btn-group" data-toggle="buttons">
                    <label class="btn btn-default <?php echo $userSettings['show_timeline'] == 1 ? 'active' : false;?>">
                        <input type="radio" name="timeline" value="private" <?php echo $userSettings['show_timeline'] == 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('private');?>
                    </label>

                    <label class="btn btn-default <?php echo $userSettings['show_timeline'] != 1 ? 'active' : false;?>">
                        <input type="radio" name="timeline" value="public" <?php echo $userSettings['show_timeline'] != 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('public');?>
                    </label>
                </div>
            </td>
        </tr>
        <tr>
            <td><?php echo Lang::get('portfolio');?></td>
            <td>
                <div class="btn-group" data-toggle="buttons">
                    <label class="btn btn-default <?php echo $userSettings['show_portfolio'] == 1 ? 'active' : false;?>">
                        <input type="radio" name="portfolio" value="private" <?php echo $userSettings['show_portfolio'] == 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('private');?>
                    </label>

                    <label class="btn btn-default <?php echo $userSettings['show_portfolio'] != 1 ? 'active' : false;?>">
                        <input type="radio" name="portfolio" value="public" <?php echo $userSettings['show_portfolio'] != 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('public');?>
                    </label>
                </div>
            </td>
        </tr>
        <tr>
            <td><?php echo Lang::get('partners');?></td>
            <td>
                <div class="btn-group" data-toggle="buttons">
                    <label class="btn btn-default <?php echo $userSettings['show_partners'] == 1 ? 'active' : false;?>">
                        <input type="radio" name="partners" value="private" <?php echo $userSettings['show_partners'] == 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('private');?>
                    </label>

                    <label class="btn btn-default <?php echo $userSettings['show_partners'] != 1 ? 'active' : false;?>">
                        <input type="radio" name="partners" value="public" <?php echo $userSettings['show_partners'] != 1 ? "checked='checked'" : false;?>> <?php echo Lang::get('public');?>
                    </label>
                </div>
            </td>
        </tr>
    </tbody>

    <tfoot>
        <tr>
            <td>&nbsp;</td>
            <td><button type="submit" class="btn btn-primary"><i class="fa fa-floppy-o"></i> <?php echo Lang::get('save');?></button></td>
        </tr>
    </tfoot>
    </table>
    </div>
</div>
</form>
</div>
